Subject: Vibrations on Droid 4?

From: [email-masked] (Pavel Machek)
Date: Wed, 1 Aug 2018 20:58:24 +0200

Hi!

> > Yep, so I have two patches that make the device appear, but vibrations
> > still do not work for me.
> > 
> > a) any ideas how to debug that / get them to work?
> 
> Hmm no new ideas except I wonder if there is also some other
> regression with the timer pdata not being passed properly now.

I checked vibrations work in original Motorola Android; my hardware is
not broken.

I see:

commit b7290cf6ff7869ec12070aa146c370728cab62c2
Author: Keerthy <[email-masked]>
Date:   Thu Feb 15 11:31:50 2018 +0530

    pwm: pwm-omap-dmtimer: Adapt driver to utilize dmtimer pdata ops

    Adapt driver to utilize dmtimer pdata ops instead of pdata-quirks.

 Signed-off-by: Keerthy <[email-masked]>
 Acked-by: Neil Armstrong <[email-masked]>
 Reviewed-by: Claudiu Beznea <[email-masked]>
 Signed-off-by: Tony Lindgren <[email-masked]>
		
should I try to revert that one? (Are pdata still there in the board
files somewhere).

Do vibrations work for you?

Best regards,

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 181 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20180801/6f4562f7/attachment.sig>